## NAME

           grdcontour - contouring of 2-D gridded data sets

## SYNOPSIS

           grdcontour        grdfile        -Ccont_int        -Jparameters       [
           -A[-][anot_int][ffont_size][aangle][/r/g/b][o|t]] ] [  -Btickinfo  ]  [
           -Ddumpfile  ]  [  -Eazimuth/elevation  ]  [  -Ggap/width  ]  [  -K  ] [
           -Llow/high ] [ -M[flag] ] [ -N[[-]unit] ] [ -O ] [ -P ]  [  -Qcut  ]  [
           -Rwest/east/south/north[r]      ]      [     -Ssmoothfactor     ]     [
           -T[+|-][gap/length][:LH]  ]  [  -U[/dx/dy/][label]  ]   [   -V    ]   [
           -W[+][type]pen  ] [ -Xx-shift ] [ -Yy-shift ] [ -Z[factor[/shift]][p] ]
           [ -ccopies ] [ -bo[s[n]] ]

## DESCRIPTION

           grdcontour reads a 2-D gridded file and produces a contour map by trac-
           ing each contour through the grid. As an option, the x/y/z positions of
           the contour lines may be dumped to a single multisegment file  or  many
           separate  files. PostScript code is generated and sent to standard out-
           put. Various options that affect the plotting are available.
                   No space between the option flag and the associated  arguments.
           Use upper case for the option flags and lower case for modifiers.

           grdfile
                  2-D gridded data set to be contoured

           -C     The contours to be drawn may be specified in one of three possi-
                  ble ways:
                  If cont_int has the suffix ".cpt" and can be opened as  a  file,
                  it  is assumed to be a color palette table. The color boundaries
                  are then used as contour levels.  If the cpt-file has  anotation
                  flags  in  the last column then those contours will be anotated.
                  By default all contours are labeled; use -A- to disable all ano-
                  tations.
                  If cont_int is a file but not a cpt-file, it is expected to con-
                  tain contour levels in column 1 and a C(ontour) OR A(nnotate) in
                  col  2.  The  levels  marked  C (or c) are contoured, the levels
                  marked A (or a) are contoured and annotated. Optionally, a third
                  column  may be present and contain the fixed anotation angle for
                  this contour level.
                  If no file is found, then cont_int is interpreted as a  constant
                  contour  interval.  If -A is set and -C is not, then the contour
                  interval is set equal to the specified anotation interval.
                  If a file is given and -T is set, then only contours marked with
                  upper case C or A will have tickmarks.

           -J     Selects  the  map  projection. Scale is UNIT/degree, 1:xxxxx, or
                  width in UNIT (upper case modifier).  UNIT is cm,  inch,  or  m,
                  depending  on the MEASURE_UNIT setting in .gmtdefaults, but this
                  can be overridden on the command line by appending the c, i,  or
                  m to the scale/width value.

                  CYLINDRICAL PROJECTIONS:

                  -Jclon0/lat0/scale (Cassini)
                  -Jjlon0/scale (Miller)
                  -Jmscale (Mercator - Greenwich and Equator as origin)
                  -Jmlon0/lat0/scale (Mercator - Give meridian and standard paral-
                  lel)
                  -Joalon0/lat0/azimuth/scale  (Oblique  Mercator  -   point   and
                  azimuth)
                  -Joblon0/lat0/lon1/lat1/scale (Oblique Mercator - two points)
                  -Joclon0/lat0/lonp/latp/scale  (Oblique  Mercator  -  point  and
                  pole)
                  -Jqlon0/scale (Equidistant Cylindrical  Projection  (Plate  Car-
                  ree))
                  -Jtlon0/scale (TM - Transverse Mercator, with Equator as y = 0)
                  -Jtlon0/lat0/scale (TM - Transverse Mercator, set origin)
                  -Juzone/scale (UTM - Universal Transverse Mercator)
                  -Jylon0/lats/scale (Basic Cylindrical Projection)

                  AZIMUTHAL PROJECTIONS:

                  -Jalon0/lat0/scale (Lambert).
                  -Jelon0/lat0/scale (Equidistant).
                  -Jflon0/lat0/horizon/scale (Gnomonic).
                  -Jglon0/lat0/scale (Orthographic).
                  -Jslon0/lat0/[slat/]scale (General Stereographic)

                  CONIC PROJECTIONS:

                  -Jblon0/lat0/lat1/lat2/scale (Albers)
                  -Jdlon0/lat0/lat1/lat2/scale (Equidistant)
                  -Jllon0/lat0/lat1/lat2/scale (Lambert)

                  MISCELLANEOUS PROJECTIONS:

                  -Jhlon0/scale (Hammer)
                  -Jilon0/scale (Sinusoidal)
                  -Jk[f|s]lon0/scale (Eckert IV (f) and VI (s))
                  -Jnlon0/scale (Robinson)
                  -Jrlon0/scale (Winkel Tripel)
                  -Jvlon0/scale (Van der Grinten)
                  -Jwlon0/scale (Mollweide)

                  NON-GEOGRAPHICAL PROJECTIONS:

                  -Jp[a]scale[/origin]  (polar  (theta,r)  coordinates, optional a
                  for azimuths and offset theta [0])
                  -Jxx-scale[l|ppow][/y-scale[l|ppow]]  (Linear,  log,  and  power
                  scaling)
                  More details can be found in the psbasemap manpages.

## OPTIONS

           No space between the option flag and the associated arguments.

           -A     anot_int  is  annotation interval in data units. Ignored if con-
                  tour levels are given in a file.  [Default is  no  annotations].
                  Several options can be set to modify the form of the annotation.
                  Give - to disable all anotations.  Append ffont_size  to  change
                  font  size  [9],  append /r/g/b to change color of text fill box
                  [PAGE_COLOR], append aangle to  fix  annotation  angle  [Default
                  follows  contour], append o to draw the outline of the surround-
                  ing text box [Default is no outline],  or  append  t  to  use  a
                  transparent label box [Default is opaque].

           -B     Sets map boundary tickmark intervals; see the psbasemap man page
                  for details.

           -D     Dump the (x,y,z) coordinates of each contour to separate  files,
                  one  for  each  contour  segment.  The files will be named dump-
                  file_cont_segment[_i].xyz (or .b is -b is selected), where  cont
                  is the contour value and segment is a running segment number for
                  each contour interval (for closed contours we append _i.) If the
                  prefix  is  given  as ’-’ the file names are instead C#_i (inte-
                  rior) or C#_e (external) plus extension, and # is just a running
                  number.  This  allows us to make short file names that will work
                  with GNU utilities under DOS.  However, when -M is used in  con-
                  junction  with -D a single multisegment file is created instead.

           -E     Sets the viewpoint’s azimuth and elevation for perspective  view
                  [180/90]’

           -G     gap  is distance between each annotation along the same contour.
                  width is number of points over which to estimate the  best  fit-
                  ting slope for contour labels [Default is 10c/10 or 4i/10].

           -K     More  PostScript code will be appended later [Default terminates
                  the plot system].

           -L     Limit range: Do not draw contours for data values below  low  or
                  above high.

           -M     When  used  in conjunction with -D a single multisegment file is
                  created, and each contour  section  is  preceeded  by  a  header
                  record whose first column is flag followed by the contour level.

           -N     Appends unit to all contour labels (assuming -A is set).  If  no
                  name  is  specified, the unit given in the grdfile will be used.
                  If unit starts with a leading - then  there  will  be  no  space
                  between contour value and the unit. [Default is no unit].

           -O     Selects  Overlay  plot mode [Default initializes a new plot sys-
                  tem].

           -P     Selects Portrait plotting mode [GMT Default  is  Landscape,  see
                  gmtdefaults to change this].

           -Q     Do  not  draw contours with less than cut number of points [Draw
                  all contours].

           -R     west, east, south, and north specify the Region of interest.  To
                  specify boundaries in degrees and minutes [and seconds], use the
                  dd:mm[:ss] format. Append r if lower left and  upper  right  map
                  coordinates  are  given  instead  of  wesn.   [Default is region
                  defined in the grd file].

           -S     Used to resample the  contour  lines  at  roughly  every  (grid-
                  box_size/smoothfactor) interval.

           -T     Will draw tickmarks pointing in the downward direction every gap
                  along the innermost closed contours.  Append  gap  and  tickmark
                  length  or  use  defaults  [0.5c/0.1c  or 0.2i/0.04i].  User may
                  choose to tick only local highs or local lows by specifying  -T+
                  or  -T-, respectively.  Appending :LH will plot the characters L
                  and H at the center of closed innermost contours (local lows and
                  highs). L and H can be any single character (e.g., LH, -+, etc.)
                  If a file is given by -C and  -T  is  set,  then  only  contours
                  marked  with  upper  case C or A will have tickmarks [and anota-
                  tion].

           -U     Draw Unix System time stamp on plot. User may specify where  the
                  lower  left corner of the stamp should fall on the page relative
                  to lower left corner of plot. Optionally, append a label,  or  c
                  (which  will  plot  the  command  string.).  The  GMT parameters
                  UNIX_TIME and UNIX_TIME_POS can affect the appearance;  see  the
                  gmtdefaults man page for details.

           -V     Selects verbose mode, which will send progress reports to stderr
                  [Default runs "silently"].

           -W     type, if present, can be ’a’ for annotated contours or  ’c’  for
                  regular  contours  [Default].   pen  sets the attributes for the
                  particular line. Default values for annotated contours: width  =
                  3, color = black, texture = solid. Regular contours have default
                  width = 1. If the + flag is specified then the color of the con-
                  tour lines are taken from the cpt file (see -C).

           -X -Y  Shift  origin of plot by (x-shift,y-shift).  Prepend a for abso-
                  lute coordinates; the default (r) will reset plot origin.

           -Z     Use to subtract shift from the data and multiply the results  by
                  factor  before  contouring starts [1/0].  (Numbers in 0 -L refer
                  to values after this scaling has occurred.)  Append p  to  indi-
                  cate  that this grid file contains z-values that are periodic in
                  360 degrees (e.g., phase data, angular distributions)  and  that
                  special precautions must be taken when determining 0-contours.

           -c     Specifies the number of plot copies. [Default is 1]

           -O     Selects  Overlay  plot mode [Default initializes a new plot sys-
                  tem].

## EXAMPLES

           To contour the file hawaii_grav.grd every 25 mGal on a Mercator map  at
           0.5  inch/degree, annotate every 50 mGal (using fontsize = 10), using 1
           degree tickmarks, and draw 30 minute gridlines, try

           grdcontour   hawaii_grav.grd   -Jm0.5i   -C25   -A50f10    -B1g30m    >
           hawaii_grav.ps

           To  contour the file image.grd using the levels in the file cont.d on a
           linear projection at 0.1 cm/x-unit and 50 cm/y-unit, using 20  (x)  and
           0.1 (y) tickmarks, smooth the contours a bit, use "RMS Misfit" as plot-
           title, use a thick red pen for annotated contours, and a thin,  dashed,
           blue pen for the rest, try

           grdcontour image.grd -Jx0.1c/50.0c -Ccont.d -S4 -B20/0.1:."RMS Misfit":
           -Wa5/255/0/0 -Wc1/0/0/255ta | lp

## BUGS

           The text-outline box has not  been  implemented  for  perspective  view
           plots.  Anotations  will  plot  correctly,  but  contours will go right
           through the text.
           The labeling of local highs and lows may  plot  outside  the  innermost
           contour since only the mean value of the contour coordinates is used to
           position the label.
           The size of the white box beneath contour anotations is augmented by dx
           and  dy  which  are set to 50% and 5% of ANOT_OFFSET, respectively. You
           must thus change this value in .gmtdefaults to affect the box size.
           There are too many options.

## SEE ALSO

           gmt(l), gmtdefaults(l), psbasemap(l), grdimage(l),  grdview(l),  pscon-
           tour(l)

    GMT3.4.6                          1 Jan 2005                     GRDCONTOUR(l)